<?php
/**
 * @package jesus_knocks
 * @version 1.0.1
 */
/*
Plugin Name: Jesus Knocks
Plugin URI: http://tacticalfaith.com/
Description: This is not just a plugin, it symbolizes the hope and enthusiasm of an entire generation summed up in sayings of Jesus Christ: No man is good. When activated you will randomly see a verse from <cite>Jesus, Knocks</cite> in the upper right of your admin screen on every page. Using Hello, Dolly as a basis.
Author: Shannon Poe
Version: 1.0.1
Author URI: http://poecompany.com/
*/

function jesus_knocks_get_verse() {
	/** These are the verses to Jesus */
	$verses = "No man is good.
I am the way and the truth and the life.
No one comes to the Father except through me.
But seek first his kingdom and his righteousness...
In the same way, let your light shine before others...
Glorify your Father in heaven...
Ask and it will be given to you...
seek and you will find...
knock and the door will be opened to you...
For everyone who asks receives...
the one who seeks finds...
to the one who knocks, the door will be opened...
Love the Lord your God with all your heart and with all your soul and with all your mind...
Love your neighbor as yourself...
Repent, for the kingdom of heaven is near...
Man does not live on bread alone, but on every word that comes from the mouth of God...
You are the salt of the earth...
Do not think that I have come to abolish the Law or the Prophets...
I have not come to abolish them but to fulfill them...
Whoever has will be given more...
whoever does not have, even what he has will be taken from him....
Be careful not to do your acts of righteousness before men, to be seen by them...
When you pray, go into your room, close the door and pray to your Father, who is unseen...
If you forgive men when they sin against you, your heavenly Father will also forgive you...
A prophet without honor in his hometown...
Who of you by worrying can add a single hour to his life...
Watch out that no one deceives you...";

	// Here we split it into lines.
	$verses = explode( "\n", $verses );

	// And then randomly choose a line.
	return wptexturize( $verses[ mt_rand( 0, count( $verses ) - 1 ) ] );
}

// This just echoes the chosen line, we'll position it later.
function jesus_knocks() {
	$chosen = jesus_knocks_get_verse();
	$lang   = '';
	if ( 'en_' !== substr( get_user_locale(), 0, 3 ) ) {
		$lang = ' lang="en"';
	}

	printf(
		'<p id="jesus"><span class="screen-reader-text">%s </span><span dir="ltr"%s>%s</span></p>',
		__( 'Quote from Jesus, from the Bible:', 'Jesus-knocks' ),
		$lang,
		$chosen
	);
}

// Now we set that function up to execute when the admin_notices action is called.
add_action( 'admin_notices', 'jesus_knocks' );

// We need some CSS to position the paragraph.
function jesus_css() {
	echo "
	<style type='text/css'>
	#jesus {
		float: right;
		padding: 5px 10px;
		margin: 0;
		font-size: 12px;
		line-height: 1.6666;
	}
	.rtl #jesus {
		float: left;
	}
	.block-editor-page #jesus {
		display: none;
	}
	@media screen and (max-width: 782px) {
		#jesus,
		.rtl #jesus {
			float: none;
			padding-left: 0;
			padding-right: 0;
		}
	}
	</style>
	";
}

add_action( 'admin_head', 'jesus_css' );
